
//float4 lightSource;
//float Factor = 3.141592654;
float4 drawPos;

// Texture to be drawn
Texture g_Tex;
sampler2D s = sampler_state {
	Texture = <g_Tex>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};

// Depth Map
Texture g_Map;
sampler2D DM = sampler_state {
	Texture = <g_Map>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};





float4 mask ( float2 texCoords : TEXCOORD0 ) : COLOR
{
    float4 col = tex2D(s, texCoords) ;
	float alpha = tex2D(DM, texCoords).x;
	return float4(col.x, col.y, col.z, alpha);
}





technique Mask
{
	pass p0
	{
		Sampler[0] = <s>;
		Sampler[1] = <DM>;
		//Sampler[2] = <BM>;
		PixelShader = compile ps_2_0 mask();
	}
}
